Subject: RE: Writing to MVFS (clearcase) volumes from remote ssh
From: Max Kaehn <[email-masked]>
To: "Benedict, Michael" <[email-masked]>
Cc: [email-masked]
Date: Tue, 06 Feb 2007 17:22:02 -0800
List-Id: <cygwin.cygwin.com>

On Tue, 2007-02-06 at 17:31 -0600, Benedict, Michael wrote:
>  Please bear with me, I am not sure if I am on the same page as you.
> 
> 1) I can see the mount.  I can make it my working directory.  I can view
> files in it.  I can even remove some files from it.  This is all from
> the remote ssh session.
> 2) I downloaded WinObj, and am trying to use it.  I see no entries in
> \Sessions\0\DosDevices that link to my Clearcase volume (M:).
> \GLOBAL??\M: is a link to \Device\mvfs on my system.  In Cygwin, m: was
> mounted on /cygdrive/m.  All my tests are nested deeply in
> /cygdrive/m... Eg:

You'd see the link in Sessions if you have a view shortcut mounting
a drive letter.  Looks like you're using the MVFS drive, rather than
mapping a drive to a particular view, so that's not an issue.
(If there's a conflict, the drive letters in Sessions override those in
the global namespace.  Each logged in user gets their own session,
as does any service running as a user other than SYSTEM.)

Do you have the same user ID, group membership, etc. when logged
in via ssh as via the console?

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/